#!/usr/bin/fish

set scriptdir (dirname (status --current-filename)) 

source $scriptdir/config.fish
source $scriptdir/utils.fish

if test -d $subvoldir
	echo "Backup directory already exists, aborting..."
	exit
end

echo "Creating subvolume directory..."
mkdir $subvoldir

for subvol in (get-subvols)
	set safename (clean-name $subvol)
	echo "Creating initial snapshot for $subvol ($subvoldir/$safename)"
	echo $subvol	
end
